UPDATE WAVE_Parameter_Table set Parameter_Value = '1.1.0.7' where Parameter_Name='WAVEDB_Version';

DROP FUNCTION IF EXISTS SPLIT_STR;
CREATE FUNCTION SPLIT_STR(
  x VARCHAR(255),
  delim VARCHAR(12),
  pos INT
)
RETURNS VARCHAR(255)
RETURN REPLACE(SUBSTRING(SUBSTRING_INDEX(x, delim, pos),
       LENGTH(SUBSTRING_INDEX(x, delim, pos -1)) + 1),
       delim, '');
       
CREATE TABLE FCP_Connection_Table_Tmp like FCP_Connection_Table;

INSERT INTO FCP_Connection_Table_Tmp SELECT * FROM FCP_Connection_Table GROUP BY FCP_Connection_ID;

DROP TABLE FCP_Connection_Table;

CREATE TABLE FCP_Connection_Table (
  FCP_Connection_ID int(10) unsigned NOT NULL auto_increment,
  FCP_Connection_Owner_Type varchar(45) NOT NULL default '',
  FCP_Connection_Owner_ID varchar(17) NOT NULL default '',
  FCP_Connection_Device varchar(4) NOT NULL default '',
  FCP_Connection_WWPN varchar(18) NOT NULL default '',
  FCP_Connection_Lun varchar(18) NOT NULL default '',
  FCP_Connection_UniqueDiskID varchar(255) NOT NULL default '',
  FCP_System varchar(8) NOT NULL DEFAULT '',
  FCP_EDEV_DASD_ID varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY  (FCP_Connection_ID)
)ENGINE=InnoDB;

INSERT INTO FCP_Connection_Table SELECT FCP_Connection_ID, 
FCP_Connection_Owner_Type,  
FCP_Connection_Owner_ID,  
FCP_Connection_Device, 
FCP_Connection_WWPN, 
FCP_Connection_Lun,FCP_Connection_UniqueDiskID,
SPLIT_STR(FCP_Connection_Owner_ID, '.', 1),
''
FROM FCP_Connection_Table_Tmp;

ALTER TABLE `FCP_Connection_Table`
ADD INDEX `FK_VM_System_idx` (`FCP_System` ASC),
ADD CONSTRAINT `FK_VM_System`
  FOREIGN KEY (`FCP_System`)
  REFERENCES `VM_System_Table` (`VM_System_Name`)
  ON DELETE CASCADE
  ON UPDATE CASCADE;
  
Drop Table FCP_Connection_Table_Tmp;

DROP FUNCTION SPLIT_STR;

ALTER TABLE `VM_System_Table` 
ADD COLUMN `VM_System_EDEV_Range_Low` VARCHAR(4) NULL DEFAULT '' AFTER `VM_System_Minidisk_Multi_Pass`,
ADD COLUMN `VM_System_EDEV_Range_High` VARCHAR(4) NULL DEFAULT '' AFTER `VM_System_EDEV_Range_Low`;

INSERT INTO `WAVE_Messages` VALUES 
('WAVSTO025I', 'I', '1', 'EDEV volume @p@ created successfully at z/VM system @p@.', 'The specified EDEV volume was created successfully. All z/VM system and internal IBM Wave database updates completed successfully.'),
('WAVSTO225W', 'W', '1', 'EDEV volume @p@ created with warning at z/VM system @p@.', 'The specified EDEV volume was created successfully with warning.'),
('WAVSTO425E', 'E', '1', 'Error Creating EDEV volume @p@.', 'There was internal error creating EDEV volume.'),
('WAVSTO026I', 'I', '1', 'EDEV volume @p@ was updated successfully at z/VM system @p@.', 'The specified EDEV volume was updated successfully. All z/VM system and internal IBM Wave database updates completed successfully.'),
('WAVSTO226W', 'W', '1', 'EDEV volume @p@ was updated with warning at z/VM system @p@.', 'The specified EDEV volume was updated successfully with warning.'),
('WAVSTO426E', 'E', '1', 'Error updating EDEV volume @p@.', 'There was internal error updating EDEV volume.'),
('WAVSTO027I', 'I', '1', 'EDEV volume @p@ was deleted successfully at z/VM system @p@.', 'The specified EDEV volume was deleted successfully. All z/VM system and internal IBM Wave database updates completed successfully.'),
('WAVSTO227W', 'W', '1', 'EDEV volume @p@ was deleted with warning at z/VM system @p@.', 'The specified EDEV volume was deleted successfully with warning.'),
('WAVSTO427E', 'E', '1', 'Error deleting EDEV volume @p@.', 'There was internal error deleting EDEV volume.');

